Index: contrib/ntp/ntpd/ntp_parser.c
===================================================================
--- contrib/ntp/ntpd/ntp_parser.c	(版本 309693)
+++ contrib/ntp/ntpd/ntp_parser.c	(版本 310419)
@@ -96,7 +96,7 @@
   #  define ONLY_SIM(a)	NULL
   #endif
 
-#line 100 "../../ntpd/ntp_parser.c" /* yacc.c:339  */
+#line 100 "ntp_parser.c" /* yacc.c:339  */
 
 # ifndef YY_NULLPTR
 #  if defined __cplusplus && 201103L <= __cplusplus
@@ -141,191 +141,192 @@
     T_Automax = 265,
     T_Average = 266,
     T_Bclient = 267,
-    T_Beacon = 268,
-    T_Broadcast = 269,
-    T_Broadcastclient = 270,
-    T_Broadcastdelay = 271,
-    T_Burst = 272,
-    T_Calibrate = 273,
-    T_Ceiling = 274,
-    T_Clockstats = 275,
-    T_Cohort = 276,
-    T_ControlKey = 277,
-    T_Crypto = 278,
-    T_Cryptostats = 279,
-    T_Ctl = 280,
-    T_Day = 281,
-    T_Default = 282,
-    T_Digest = 283,
-    T_Disable = 284,
-    T_Discard = 285,
-    T_Dispersion = 286,
-    T_Double = 287,
-    T_Driftfile = 288,
-    T_Drop = 289,
-    T_Dscp = 290,
-    T_Ellipsis = 291,
-    T_Enable = 292,
-    T_End = 293,
-    T_False = 294,
-    T_File = 295,
-    T_Filegen = 296,
-    T_Filenum = 297,
-    T_Flag1 = 298,
-    T_Flag2 = 299,
-    T_Flag3 = 300,
-    T_Flag4 = 301,
-    T_Flake = 302,
-    T_Floor = 303,
-    T_Freq = 304,
-    T_Fudge = 305,
-    T_Host = 306,
-    T_Huffpuff = 307,
-    T_Iburst = 308,
-    T_Ident = 309,
-    T_Ignore = 310,
-    T_Incalloc = 311,
-    T_Incmem = 312,
-    T_Initalloc = 313,
-    T_Initmem = 314,
-    T_Includefile = 315,
-    T_Integer = 316,
-    T_Interface = 317,
-    T_Intrange = 318,
-    T_Io = 319,
-    T_Ipv4 = 320,
-    T_Ipv4_flag = 321,
-    T_Ipv6 = 322,
-    T_Ipv6_flag = 323,
-    T_Kernel = 324,
-    T_Key = 325,
-    T_Keys = 326,
-    T_Keysdir = 327,
-    T_Kod = 328,
-    T_Mssntp = 329,
-    T_Leapfile = 330,
-    T_Leapsmearinterval = 331,
-    T_Limited = 332,
-    T_Link = 333,
-    T_Listen = 334,
-    T_Logconfig = 335,
-    T_Logfile = 336,
-    T_Loopstats = 337,
-    T_Lowpriotrap = 338,
-    T_Manycastclient = 339,
-    T_Manycastserver = 340,
-    T_Mask = 341,
-    T_Maxage = 342,
-    T_Maxclock = 343,
-    T_Maxdepth = 344,
-    T_Maxdist = 345,
-    T_Maxmem = 346,
-    T_Maxpoll = 347,
-    T_Mdnstries = 348,
-    T_Mem = 349,
-    T_Memlock = 350,
-    T_Minclock = 351,
-    T_Mindepth = 352,
-    T_Mindist = 353,
-    T_Minimum = 354,
-    T_Minpoll = 355,
-    T_Minsane = 356,
-    T_Mode = 357,
-    T_Mode7 = 358,
-    T_Monitor = 359,
-    T_Month = 360,
-    T_Mru = 361,
-    T_Multicastclient = 362,
-    T_Nic = 363,
-    T_Nolink = 364,
-    T_Nomodify = 365,
-    T_Nomrulist = 366,
-    T_None = 367,
-    T_Nonvolatile = 368,
-    T_Nopeer = 369,
-    T_Noquery = 370,
-    T_Noselect = 371,
-    T_Noserve = 372,
-    T_Notrap = 373,
-    T_Notrust = 374,
-    T_Ntp = 375,
-    T_Ntpport = 376,
-    T_NtpSignDsocket = 377,
-    T_Orphan = 378,
-    T_Orphanwait = 379,
-    T_PCEdigest = 380,
-    T_Panic = 381,
-    T_Peer = 382,
-    T_Peerstats = 383,
-    T_Phone = 384,
-    T_Pid = 385,
-    T_Pidfile = 386,
-    T_Pool = 387,
-    T_Port = 388,
-    T_Preempt = 389,
-    T_Prefer = 390,
-    T_Protostats = 391,
-    T_Pw = 392,
-    T_Randfile = 393,
-    T_Rawstats = 394,
-    T_Refid = 395,
-    T_Requestkey = 396,
-    T_Reset = 397,
-    T_Restrict = 398,
-    T_Revoke = 399,
-    T_Rlimit = 400,
-    T_Saveconfigdir = 401,
-    T_Server = 402,
-    T_Setvar = 403,
-    T_Source = 404,
-    T_Stacksize = 405,
-    T_Statistics = 406,
-    T_Stats = 407,
-    T_Statsdir = 408,
-    T_Step = 409,
-    T_Stepback = 410,
-    T_Stepfwd = 411,
-    T_Stepout = 412,
-    T_Stratum = 413,
-    T_String = 414,
-    T_Sys = 415,
-    T_Sysstats = 416,
-    T_Tick = 417,
-    T_Time1 = 418,
-    T_Time2 = 419,
-    T_Timer = 420,
-    T_Timingstats = 421,
-    T_Tinker = 422,
-    T_Tos = 423,
-    T_Trap = 424,
-    T_True = 425,
-    T_Trustedkey = 426,
-    T_Ttl = 427,
-    T_Type = 428,
-    T_U_int = 429,
-    T_UEcrypto = 430,
-    T_UEcryptonak = 431,
-    T_UEdigest = 432,
-    T_Unconfig = 433,
-    T_Unpeer = 434,
-    T_Version = 435,
-    T_WanderThreshold = 436,
-    T_Week = 437,
-    T_Wildcard = 438,
-    T_Xleave = 439,
-    T_Year = 440,
-    T_Flag = 441,
-    T_EOC = 442,
-    T_Simulate = 443,
-    T_Beep_Delay = 444,
-    T_Sim_Duration = 445,
-    T_Server_Offset = 446,
-    T_Duration = 447,
-    T_Freq_Offset = 448,
-    T_Wander = 449,
-    T_Jitter = 450,
-    T_Prop_Delay = 451,
-    T_Proc_Delay = 452
+    T_Bcpollbstep = 268,
+    T_Beacon = 269,
+    T_Broadcast = 270,
+    T_Broadcastclient = 271,
+    T_Broadcastdelay = 272,
+    T_Burst = 273,
+    T_Calibrate = 274,
+    T_Ceiling = 275,
+    T_Clockstats = 276,
+    T_Cohort = 277,
+    T_ControlKey = 278,
+    T_Crypto = 279,
+    T_Cryptostats = 280,
+    T_Ctl = 281,
+    T_Day = 282,
+    T_Default = 283,
+    T_Digest = 284,
+    T_Disable = 285,
+    T_Discard = 286,
+    T_Dispersion = 287,
+    T_Double = 288,
+    T_Driftfile = 289,
+    T_Drop = 290,
+    T_Dscp = 291,
+    T_Ellipsis = 292,
+    T_Enable = 293,
+    T_End = 294,
+    T_False = 295,
+    T_File = 296,
+    T_Filegen = 297,
+    T_Filenum = 298,
+    T_Flag1 = 299,
+    T_Flag2 = 300,
+    T_Flag3 = 301,
+    T_Flag4 = 302,
+    T_Flake = 303,
+    T_Floor = 304,
+    T_Freq = 305,
+    T_Fudge = 306,
+    T_Host = 307,
+    T_Huffpuff = 308,
+    T_Iburst = 309,
+    T_Ident = 310,
+    T_Ignore = 311,
+    T_Incalloc = 312,
+    T_Incmem = 313,
+    T_Initalloc = 314,
+    T_Initmem = 315,
+    T_Includefile = 316,
+    T_Integer = 317,
+    T_Interface = 318,
+    T_Intrange = 319,
+    T_Io = 320,
+    T_Ipv4 = 321,
+    T_Ipv4_flag = 322,
+    T_Ipv6 = 323,
+    T_Ipv6_flag = 324,
+    T_Kernel = 325,
+    T_Key = 326,
+    T_Keys = 327,
+    T_Keysdir = 328,
+    T_Kod = 329,
+    T_Mssntp = 330,
+    T_Leapfile = 331,
+    T_Leapsmearinterval = 332,
+    T_Limited = 333,
+    T_Link = 334,
+    T_Listen = 335,
+    T_Logconfig = 336,
+    T_Logfile = 337,
+    T_Loopstats = 338,
+    T_Lowpriotrap = 339,
+    T_Manycastclient = 340,
+    T_Manycastserver = 341,
+    T_Mask = 342,
+    T_Maxage = 343,
+    T_Maxclock = 344,
+    T_Maxdepth = 345,
+    T_Maxdist = 346,
+    T_Maxmem = 347,
+    T_Maxpoll = 348,
+    T_Mdnstries = 349,
+    T_Mem = 350,
+    T_Memlock = 351,
+    T_Minclock = 352,
+    T_Mindepth = 353,
+    T_Mindist = 354,
+    T_Minimum = 355,
+    T_Minpoll = 356,
+    T_Minsane = 357,
+    T_Mode = 358,
+    T_Mode7 = 359,
+    T_Monitor = 360,
+    T_Month = 361,
+    T_Mru = 362,
+    T_Multicastclient = 363,
+    T_Nic = 364,
+    T_Nolink = 365,
+    T_Nomodify = 366,
+    T_Nomrulist = 367,
+    T_None = 368,
+    T_Nonvolatile = 369,
+    T_Nopeer = 370,
+    T_Noquery = 371,
+    T_Noselect = 372,
+    T_Noserve = 373,
+    T_Notrap = 374,
+    T_Notrust = 375,
+    T_Ntp = 376,
+    T_Ntpport = 377,
+    T_NtpSignDsocket = 378,
+    T_Orphan = 379,
+    T_Orphanwait = 380,
+    T_PCEdigest = 381,
+    T_Panic = 382,
+    T_Peer = 383,
+    T_Peerstats = 384,
+    T_Phone = 385,
+    T_Pid = 386,
+    T_Pidfile = 387,
+    T_Pool = 388,
+    T_Port = 389,
+    T_Preempt = 390,
+    T_Prefer = 391,
+    T_Protostats = 392,
+    T_Pw = 393,
+    T_Randfile = 394,
+    T_Rawstats = 395,
+    T_Refid = 396,
+    T_Requestkey = 397,
+    T_Reset = 398,
+    T_Restrict = 399,
+    T_Revoke = 400,
+    T_Rlimit = 401,
+    T_Saveconfigdir = 402,
+    T_Server = 403,
+    T_Setvar = 404,
+    T_Source = 405,
+    T_Stacksize = 406,
+    T_Statistics = 407,
+    T_Stats = 408,
+    T_Statsdir = 409,
+    T_Step = 410,
+    T_Stepback = 411,
+    T_Stepfwd = 412,
+    T_Stepout = 413,
+    T_Stratum = 414,
+    T_String = 415,
+    T_Sys = 416,
+    T_Sysstats = 417,
+    T_Tick = 418,
+    T_Time1 = 419,
+    T_Time2 = 420,
+    T_Timer = 421,
+    T_Timingstats = 422,
+    T_Tinker = 423,
+    T_Tos = 424,
+    T_Trap = 425,
+    T_True = 426,
+    T_Trustedkey = 427,
+    T_Ttl = 428,
+    T_Type = 429,
+    T_U_int = 430,
+    T_UEcrypto = 431,
+    T_UEcryptonak = 432,
+    T_UEdigest = 433,
+    T_Unconfig = 434,
+    T_Unpeer = 435,
+    T_Version = 436,
+    T_WanderThreshold = 437,
+    T_Week = 438,
+    T_Wildcard = 439,
+    T_Xleave = 440,
+    T_Year = 441,
+    T_Flag = 442,
+    T_EOC = 443,
+    T_Simulate = 444,
+    T_Beep_Delay = 445,
+    T_Sim_Duration = 446,
+    T_Server_Offset = 447,
+    T_Duration = 448,
+    T_Freq_Offset = 449,
+    T_Wander = 450,
+    T_Jitter = 451,
+    T_Prop_Delay = 452,
+    T_Proc_Delay = 453
   };
 #endif
 /* Tokens.  */
@@ -339,191 +340,192 @@
 #define T_Automax 265
 #define T_Average 266
 #define T_Bclient 267
-#define T_Beacon 268
-#define T_Broadcast 269
-#define T_Broadcastclient 270
-#define T_Broadcastdelay 271
-#define T_Burst 272
-#define T_Calibrate 273
-#define T_Ceiling 274
-#define T_Clockstats 275
-#define T_Cohort 276
-#define T_ControlKey 277
-#define T_Crypto 278
-#define T_Cryptostats 279
-#define T_Ctl 280
-#define T_Day 281
-#define T_Default 282
-#define T_Digest 283
-#define T_Disable 284
-#define T_Discard 285
-#define T_Dispersion 286
-#define T_Double 287
-#define T_Driftfile 288
-#define T_Drop 289
-#define T_Dscp 290
-#define T_Ellipsis 291
-#define T_Enable 292
-#define T_End 293
-#define T_False 294
-#define T_File 295
-#define T_Filegen 296
-#define T_Filenum 297
-#define T_Flag1 298
-#define T_Flag2 299
-#define T_Flag3 300
-#define T_Flag4 301
-#define T_Flake 302
-#define T_Floor 303
-#define T_Freq 304
-#define T_Fudge 305
-#define T_Host 306
-#define T_Huffpuff 307
-#define T_Iburst 308
-#define T_Ident 309
-#define T_Ignore 310
-#define T_Incalloc 311
-#define T_Incmem 312
-#define T_Initalloc 313
-#define T_Initmem 314
-#define T_Includefile 315
-#define T_Integer 316
-#define T_Interface 317
-#define T_Intrange 318
-#define T_Io 319
-#define T_Ipv4 320
-#define T_Ipv4_flag 321
-#define T_Ipv6 322
-#define T_Ipv6_flag 323
-#define T_Kernel 324
-#define T_Key 325
-#define T_Keys 326
-#define T_Keysdir 327
-#define T_Kod 328
-#define T_Mssntp 329
-#define T_Leapfile 330
-#define T_Leapsmearinterval 331
-#define T_Limited 332
-#define T_Link 333
-#define T_Listen 334
-#define T_Logconfig 335
-#define T_Logfile 336
-#define T_Loopstats 337
-#define T_Lowpriotrap 338
-#define T_Manycastclient 339
-#define T_Manycastserver 340
-#define T_Mask 341
-#define T_Maxage 342
-#define T_Maxclock 343
-#define T_Maxdepth 344
-#define T_Maxdist 345
-#define T_Maxmem 346
-#define T_Maxpoll 347
-#define T_Mdnstries 348
-#define T_Mem 349
-#define T_Memlock 350
-#define T_Minclock 351
-#define T_Mindepth 352
-#define T_Mindist 353
-#define T_Minimum 354
-#define T_Minpoll 355
-#define T_Minsane 356
-#define T_Mode 357
-#define T_Mode7 358
-#define T_Monitor 359
-#define T_Month 360
-#define T_Mru 361
-#define T_Multicastclient 362
-#define T_Nic 363
-#define T_Nolink 364
-#define T_Nomodify 365
-#define T_Nomrulist 366
-#define T_None 367
-#define T_Nonvolatile 368
-#define T_Nopeer 369
-#define T_Noquery 370
-#define T_Noselect 371
-#define T_Noserve 372
-#define T_Notrap 373
-#define T_Notrust 374
-#define T_Ntp 375
-#define T_Ntpport 376
-#define T_NtpSignDsocket 377
-#define T_Orphan 378
-#define T_Orphanwait 379
-#define T_PCEdigest 380
-#define T_Panic 381
-#define T_Peer 382
-#define T_Peerstats 383
-#define T_Phone 384
-#define T_Pid 385
-#define T_Pidfile 386
-#define T_Pool 387
-#define T_Port 388
-#define T_Preempt 389
-#define T_Prefer 390
-#define T_Protostats 391
-#define T_Pw 392
-#define T_Randfile 393
-#define T_Rawstats 394
-#define T_Refid 395
-#define T_Requestkey 396
-#define T_Reset 397
-#define T_Restrict 398
-#define T_Revoke 399
-#define T_Rlimit 400
-#define T_Saveconfigdir 401
-#define T_Server 402
-#define T_Setvar 403
-#define T_Source 404
-#define T_Stacksize 405
-#define T_Statistics 406
-#define T_Stats 407
-#define T_Statsdir 408
-#define T_Step 409
-#define T_Stepback 410
-#define T_Stepfwd 411
-#define T_Stepout 412
-#define T_Stratum 413
-#define T_String 414
-#define T_Sys 415
-#define T_Sysstats 416
-#define T_Tick 417
-#define T_Time1 418
-#define T_Time2 419
-#define T_Timer 420
-#define T_Timingstats 421
-#define T_Tinker 422
-#define T_Tos 423
-#define T_Trap 424
-#define T_True 425
-#define T_Trustedkey 426
-#define T_Ttl 427
-#define T_Type 428
-#define T_U_int 429
-#define T_UEcrypto 430
-#define T_UEcryptonak 431
-#define T_UEdigest 432
-#define T_Unconfig 433
-#define T_Unpeer 434
-#define T_Version 435
-#define T_WanderThreshold 436
-#define T_Week 437
-#define T_Wildcard 438
-#define T_Xleave 439
-#define T_Year 440
-#define T_Flag 441
-#define T_EOC 442
-#define T_Simulate 443
-#define T_Beep_Delay 444
-#define T_Sim_Duration 445
-#define T_Server_Offset 446
-#define T_Duration 447
-#define T_Freq_Offset 448
-#define T_Wander 449
-#define T_Jitter 450
-#define T_Prop_Delay 451
-#define T_Proc_Delay 452
+#define T_Bcpollbstep 268
+#define T_Beacon 269
+#define T_Broadcast 270
+#define T_Broadcastclient 271
+#define T_Broadcastdelay 272
+#define T_Burst 273
+#define T_Calibrate 274
+#define T_Ceiling 275
+#define T_Clockstats 276
+#define T_Cohort 277
+#define T_ControlKey 278
+#define T_Crypto 279
+#define T_Cryptostats 280
+#define T_Ctl 281
+#define T_Day 282
+#define T_Default 283
+#define T_Digest 284
+#define T_Disable 285
+#define T_Discard 286
+#define T_Dispersion 287
+#define T_Double 288
+#define T_Driftfile 289
+#define T_Drop 290
+#define T_Dscp 291
+#define T_Ellipsis 292
+#define T_Enable 293
+#define T_End 294
+#define T_False 295
+#define T_File 296
+#define T_Filegen 297
+#define T_Filenum 298
+#define T_Flag1 299
+#define T_Flag2 300
+#define T_Flag3 301
+#define T_Flag4 302
+#define T_Flake 303
+#define T_Floor 304
+#define T_Freq 305
+#define T_Fudge 306
+#define T_Host 307
+#define T_Huffpuff 308
+#define T_Iburst 309
+#define T_Ident 310
+#define T_Ignore 311
+#define T_Incalloc 312
+#define T_Incmem 313
+#define T_Initalloc 314
+#define T_Initmem 315
+#define T_Includefile 316
+#define T_Integer 317
+#define T_Interface 318
+#define T_Intrange 319
+#define T_Io 320
+#define T_Ipv4 321
+#define T_Ipv4_flag 322
+#define T_Ipv6 323
+#define T_Ipv6_flag 324
+#define T_Kernel 325
+#define T_Key 326
+#define T_Keys 327
+#define T_Keysdir 328
+#define T_Kod 329
+#define T_Mssntp 330
+#define T_Leapfile 331
+#define T_Leapsmearinterval 332
+#define T_Limited 333
+#define T_Link 334
+#define T_Listen 335
+#define T_Logconfig 336
+#define T_Logfile 337
+#define T_Loopstats 338
+#define T_Lowpriotrap 339
+#define T_Manycastclient 340
+#define T_Manycastserver 341
+#define T_Mask 342
+#define T_Maxage 343
+#define T_Maxclock 344
+#define T_Maxdepth 345
+#define T_Maxdist 346
+#define T_Maxmem 347
+#define T_Maxpoll 348
+#define T_Mdnstries 349
+#define T_Mem 350
+#define T_Memlock 351
+#define T_Minclock 352
+#define T_Mindepth 353
+#define T_Mindist 354
+#define T_Minimum 355
+#define T_Minpoll 356
+#define T_Minsane 357
+#define T_Mode 358
+#define T_Mode7 359
+#define T_Monitor 360
+#define T_Month 361
+#define T_Mru 362
+#define T_Multicastclient 363
+#define T_Nic 364
+#define T_Nolink 365
+#define T_Nomodify 366
+#define T_Nomrulist 367
+#define T_None 368
+#define T_Nonvolatile 369
+#define T_Nopeer 370
+#define T_Noquery 371
+#define T_Noselect 372
+#define T_Noserve 373
+#define T_Notrap 374
+#define T_Notrust 375
+#define T_Ntp 376
+#define T_Ntpport 377
+#define T_NtpSignDsocket 378
+#define T_Orphan 379
+#define T_Orphanwait 380
+#define T_PCEdigest 381
+#define T_Panic 382
+#define T_Peer 383
+#define T_Peerstats 384
+#define T_Phone 385
+#define T_Pid 386
+#define T_Pidfile 387
+#define T_Pool 388
+#define T_Port 389
+#define T_Preempt 390
+#define T_Prefer 391
+#define T_Protostats 392
+#define T_Pw 393
+#define T_Randfile 394
+#define T_Rawstats 395
+#define T_Refid 396
+#define T_Requestkey 397
+#define T_Reset 398
+#define T_Restrict 399
+#define T_Revoke 400
+#define T_Rlimit 401
+#define T_Saveconfigdir 402
+#define T_Server 403
+#define T_Setvar 404
+#define T_Source 405
+#define T_Stacksize 406
+#define T_Statistics 407
+#define T_Stats 408
+#define T_Statsdir 409
+#define T_Step 410
+#define T_Stepback 411
+#define T_Stepfwd 412
+#define T_Stepout 413
+#define T_Stratum 414
+#define T_String 415
+#define T_Sys 416
+#define T_Sysstats 417
+#define T_Tick 418
+#define T_Time1 419
+#define T_Time2 420
+#define T_Timer 421
+#define T_Timingstats 422
+#define T_Tinker 423
+#define T_Tos 424
+#define T_Trap 425
+#define T_True 426
+#define T_Trustedkey 427
+#define T_Ttl 428
+#define T_Type 429
+#define T_U_int 430
+#define T_UEcrypto 431
+#define T_UEcryptonak 432
+#define T_UEdigest 433
+#define T_Unconfig 434
+#define T_Unpeer 435
+#define T_Version 436
+#define T_WanderThreshold 437
+#define T_Week 438
+#define T_Wildcard 439
+#define T_Xleave 440
+#define T_Year 441
+#define T_Flag 442
+#define T_EOC 443
+#define T_Simulate 444
+#define T_Beep_Delay 445
+#define T_Sim_Duration 446
+#define T_Server_Offset 447
+#define T_Duration 448
+#define T_Freq_Offset 449
+#define T_Wander 450
+#define T_Jitter 451
+#define T_Prop_Delay 452
+#define T_Proc_Delay 453
 
 /* Value type.  */
 #if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
@@ -549,7 +551,7 @@
 	script_info *		Sim_script;
 	script_info_fifo *	Sim_script_fifo;
 
-#line 553 "../../ntpd/ntp_parser.c" /* yacc.c:355  */
+#line 555 "ntp_parser.c" /* yacc.c:355  */
 };
 
 typedef union YYSTYPE YYSTYPE;
@@ -566,7 +568,7 @@
 
 /* Copy the second part of user declarations.  */
 
-#line 570 "../../ntpd/ntp_parser.c" /* yacc.c:358  */
+#line 572 "ntp_parser.c" /* yacc.c:358  */
 
 #ifdef short
 # undef short
@@ -806,23 +808,23 @@
 #endif /* !YYCOPY_NEEDED */
 
 /* YYFINAL -- State number of the termination state.  */
-#define YYFINAL  214
+#define YYFINAL  215
 /* YYLAST -- Last index in YYTABLE.  */
-#define YYLAST   655
+#define YYLAST   654
 
 /* YYNTOKENS -- Number of terminals.  */
-#define YYNTOKENS  203
+#define YYNTOKENS  204
 /* YYNNTS -- Number of nonterminals.  */
 #define YYNNTS  105
 /* YYNRULES -- Number of rules.  */
-#define YYNRULES  317
+#define YYNRULES  318
 /* YYNSTATES -- Number of states.  */
-#define YYNSTATES  423
+#define YYNSTATES  424
 
 /* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
    by yylex, with out-of-bounds checking.  */
 #define YYUNDEFTOK  2
-#define YYMAXUTOK   452
+#define YYMAXUTOK   453
 
 #define YYTRANSLATE(YYX)                                                \
   ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)
@@ -835,15 +837,15 @@
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     199,   200,     2,     2,     2,     2,     2,     2,     2,     2,
+     200,   201,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-       2,   198,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,   199,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-       2,     2,     2,   201,     2,   202,     2,     2,     2,     2,
+       2,     2,     2,   202,     2,   203,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
@@ -876,7 +878,7 @@
      165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
      175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
-     195,   196,   197
+     195,   196,   197,   198
 };
 
 #if YYDEBUG
@@ -883,38 +885,38 @@
   /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
 static const yytype_uint16 yyrline[] =
 {
-       0,   370,   370,   374,   375,   376,   391,   392,   393,   394,
-     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
-     412,   422,   423,   424,   425,   426,   430,   431,   436,   441,
-     443,   449,   450,   458,   459,   460,   464,   469,   470,   471,
-     472,   473,   474,   475,   476,   480,   482,   487,   488,   489,
-     490,   491,   492,   496,   501,   510,   520,   521,   531,   533,
-     535,   537,   548,   555,   557,   562,   564,   566,   568,   570,
-     579,   585,   586,   594,   596,   608,   609,   610,   611,   612,
-     621,   626,   631,   639,   641,   643,   648,   649,   650,   651,
-     652,   653,   657,   658,   659,   660,   669,   671,   680,   690,
-     695,   703,   704,   705,   706,   707,   708,   709,   710,   715,
-     716,   724,   734,   743,   758,   763,   764,   768,   769,   773,
-     774,   775,   776,   777,   778,   779,   788,   792,   796,   804,
-     812,   820,   835,   850,   863,   864,   872,   873,   874,   875,
-     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
-     886,   890,   895,   903,   908,   909,   910,   914,   919,   927,
-     932,   933,   934,   935,   936,   937,   938,   939,   947,   957,
-     962,   970,   972,   974,   983,   985,   990,   991,   995,   996,
-     997,   998,  1006,  1011,  1016,  1024,  1029,  1030,  1031,  1040,
-    1042,  1047,  1052,  1060,  1062,  1079,  1080,  1081,  1082,  1083,
-    1084,  1088,  1089,  1090,  1091,  1092,  1093,  1101,  1106,  1111,
-    1119,  1124,  1125,  1126,  1127,  1128,  1129,  1130,  1131,  1132,
-    1133,  1142,  1143,  1144,  1151,  1158,  1165,  1181,  1200,  1202,
-    1204,  1206,  1208,  1210,  1217,  1222,  1223,  1224,  1228,  1232,
-    1241,  1242,  1246,  1247,  1248,  1252,  1263,  1277,  1289,  1294,
-    1296,  1301,  1302,  1310,  1312,  1320,  1325,  1333,  1358,  1365,
-    1375,  1376,  1380,  1381,  1382,  1383,  1387,  1388,  1389,  1393,
-    1398,  1403,  1411,  1412,  1413,  1414,  1415,  1416,  1417,  1427,
-    1432,  1440,  1445,  1453,  1455,  1459,  1464,  1469,  1477,  1482,
-    1490,  1499,  1500,  1504,  1505,  1514,  1532,  1536,  1541,  1549,
-    1554,  1555,  1559,  1564,  1572,  1577,  1582,  1587,  1592,  1600,
-    1605,  1610,  1618,  1623,  1624,  1625,  1626,  1627
+       0,   371,   371,   375,   376,   377,   392,   393,   394,   395,
+     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
+     413,   423,   424,   425,   426,   427,   431,   432,   437,   442,
+     444,   450,   451,   459,   460,   461,   465,   470,   471,   472,
+     473,   474,   475,   476,   477,   481,   483,   488,   489,   490,
+     491,   492,   493,   497,   502,   511,   521,   522,   532,   534,
+     536,   538,   549,   556,   558,   563,   565,   567,   569,   571,
+     580,   586,   587,   595,   597,   609,   610,   611,   612,   613,
+     622,   627,   632,   640,   642,   644,   649,   650,   651,   652,
+     653,   654,   655,   659,   660,   661,   662,   671,   673,   682,
+     692,   697,   705,   706,   707,   708,   709,   710,   711,   712,
+     717,   718,   726,   736,   745,   760,   765,   766,   770,   771,
+     775,   776,   777,   778,   779,   780,   781,   790,   794,   798,
+     806,   814,   822,   837,   852,   865,   866,   874,   875,   876,
+     877,   878,   879,   880,   881,   882,   883,   884,   885,   886,
+     887,   888,   892,   897,   905,   910,   911,   912,   916,   921,
+     929,   934,   935,   936,   937,   938,   939,   940,   941,   949,
+     959,   964,   972,   974,   976,   985,   987,   992,   993,   997,
+     998,   999,  1000,  1008,  1013,  1018,  1026,  1031,  1032,  1033,
+    1042,  1044,  1049,  1054,  1062,  1064,  1081,  1082,  1083,  1084,
+    1085,  1086,  1090,  1091,  1092,  1093,  1094,  1095,  1103,  1108,
+    1113,  1121,  1126,  1127,  1128,  1129,  1130,  1131,  1132,  1133,
+    1134,  1135,  1144,  1145,  1146,  1153,  1160,  1167,  1183,  1202,
+    1204,  1206,  1208,  1210,  1212,  1219,  1224,  1225,  1226,  1230,
+    1234,  1243,  1244,  1248,  1249,  1250,  1254,  1265,  1279,  1291,
+    1296,  1298,  1303,  1304,  1312,  1314,  1322,  1327,  1335,  1360,
+    1367,  1377,  1378,  1382,  1383,  1384,  1385,  1389,  1390,  1391,
+    1395,  1400,  1405,  1413,  1414,  1415,  1416,  1417,  1418,  1419,
+    1429,  1434,  1442,  1447,  1455,  1457,  1461,  1466,  1471,  1479,
+    1484,  1492,  1501,  1502,  1506,  1507,  1516,  1534,  1538,  1543,
+    1551,  1556,  1557,  1561,  1566,  1574,  1579,  1584,  1589,  1594,
+    1602,  1607,  1612,  1620,  1625,  1626,  1627,  1628,  1629
 };
 #endif
 
